Debian Bug report logs - #347851
RM: xmcpustate -- RoQA; not compatible with 2.6 kernels

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Steger Jozsef <steger@complex.elte.hu>

Date: Fri, 1 Jul 2005 10:33:07 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thimo Neubauer <thimo@debian.org>:
Bug#316491; Package xmcpustate. Full text and rfc822 format available.

Acknowledgement sent to Steger Jozsef <steger@complex.elte.hu>:
New Bug report received and forwarded. Copy sent to Thimo Neubauer <thimo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steger Jozsef <steger@complex.elte.hu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xmcpustate: sscanf /proc/meminfo returned 1
Date: Fri, 01 Jul 2005 12:22:54 +0200
Package: xmcpustate
Version: 3-11
Severity: important


Dear Maintainer, Thimo,

after the successful installation of xmcpustate I have a serious problem
with using it.

After launching the application an xwindow pops up as expected, and
shortly after it breaks. It sends the following message to the stderr:
sscanf /proc/meminfo returned 1
parsing:
MemTotal:       508308 kB
MemFree:         11144 kB
Buffers:          8792 kB
Cached:         128052 kB
SwapCached:      48736 kB
Active:         391224 kB
Inactive:        77072 kB
HighTotal:           0 kB
HighFree:            0 kB
LowTotal:       508308 kB
LowFree:         11144 kB
SwapTotal:     2441368 kB
SwapFree:      1532168 kB
Dirty:             152 kB
Writeback:           0 kB
Mapped:         370584 kB
Slab:            20052 kB
CommitLimit:   2695520 kB
Committed_AS:  1398068 kB
PageTables:       3132 kB
VmallocTotal:   524212 kB
VmallocUsed:      4736 kB
VmallocChunk:   519376 kB

I hope there is some ways to overcome the problem. Otherwise It's
questionable to use this application in sarge distros.

Thanks for your help.
Steger Jozsef

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.11.8-grail14
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages xmcpustate depends on:
ii  lesstif1                 1:0.93.94-11.4  OSF/Motif 1.2 implementation relea
ii  libc6                    2.3.2.ds1-22    GNU C Library: Shared libraries an
ii  xlibs                    4.3.0.dfsg.1-14 X Keyboard Extension (XKB) configu

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#316491; Package xmcpustate. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #10 received at 316491@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 316491@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Bug#316491: xmcpustate: sscanf /proc/meminfo returned 1
Date: Thu, 06 Oct 2005 14:42:11 +0200
retitle 316491 xmcpustate: cannot parse /proc/meminfo on 2.6 kernels
thanks

/proc/meminfo changed format on 2.6 kernels.  See #222856 for an
equivalent problem (and solution) in bbsload.

(I'm not sure that xmcpustate is worth fixing, given that it hasn't
been updated in 7 years, and that we have a plethora of alternatives.
Let's see if someone adopts it.)

Regards,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#316491; Package xmcpustate. Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #17 received at 316491@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 316491-submitter@bugs.debian.org, 316491@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: xmcpustate: cannot parse /proc/meminfo on 2.6 kernels
Date: Fri, 13 Jan 2006 01:21:23 +0100
[Message part 1 (text/plain, inline)]
clone 316491 -1
reassign -1 ftp.debian.org
retitle -1 RM: xmcpustate -- RoQA; not compatible with 2.6 kernels
severity -1 normal
thanks

xmcpustate is a X11 application displaying the system activity and
current free and used memory, written with the Motif set of widgets.

It is in its current form not compatible with current systems, lacking
proper support to parse the `/proc/meminfo' output of kernels in the
2.6.x series. As most of the architectures have already switched to 2.6
as the default installation kernel, this package does not work properly
on most systems and just quits with a failure when one tries to run it.

It is orphaned since three months at the request of QA, due to the
package being in a bad shape. It is currently RC bug free, due to two QA
uploads but as outlined above it lacks serious use. Popcon shows less
than 60 users having a current version of the package installed.

I don't think that it makes sense to ship this package with Etch if
#316491 is not fixed in time (and mind you, we want to release early!).

Kind regards,
Philipp Kern
[signature.asc (application/pgp-signature, attachment)]

Bug 316491 cloned as bug 347851. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `xmcpustate' to `ftp.debian.org'. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Steger Jozsef <steger@complex.elte.hu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 347851-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 347851-close@bugs.debian.org
Cc: xmcpustate@packages.debian.org, xmcpustate@packages.qa.debian.org
Subject: Bug#347851: fixed
Date: Sun, 22 Jan 2006 05:15:55 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

xmcpustate |       3-13 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 347851@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 07:45:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:20:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.